name: unicblue/banner-form
typeName: unicblue_bannerform
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: form_persistence_identifier
    type: Select
    label: LLL:EXT:hks/ContentBlocks/ContentElements/banner-form/language/labels.xlf:form_persistence_identifier.label
    description: LLL:EXT:hks/ContentBlocks/ContentElements/banner-form/language/labels.xlf:form_persistence_identifier.description
    translatable: false
    renderType: selectSingle
    default: ''
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/banner-form/language/labels.xlf:form_persistence_identifier.items.select
        value: ''
    itemsProcFunc: Unicblue\Hks\FormEngine\ItemsProcFunc\FormDefinitionsItemsProcFunc->addItems
  -
    identifier: tab_media
    type: Tab
    label: LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:media
  -
    identifier: media_image
    type: File
    label: LLL:EXT:hks/ContentBlocks/ContentElements/banner-form/language/labels.xlf:media_image.label
    allowed: common-image-types
    minitems: 0
    maxitems: 1
  -
    identifier: tab_layout
    type: Tab
    label: LLL:EXT:hks/ContentBlocks/ContentElements/banner-form/language/labels.xlf:tab.layout
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: options_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_theme
        type: Select
        useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
